Skip to main content
`Ctrl`+`K`

# parse_ucd

astropy.io.votable.ucd.parse_ucd(ucd, check_controlled_vocabulary=False, has_colon=False)

  Parse the UCD into its component parts.

  Parameters:
    ucd `python:str`

      The UCD string

    check_controlled_vocabulary bool, optional

      If `True`, then each word in the UCD will be verified against the UCD1+ controlled vocabulary, (as required by the VOTable specification version 1.2), otherwise not.

    has_colon bool, optional

      If `True`, the UCD may contain a colon (as defined in earlier versions of the standard).

  Returns:
    parts `python:list`

      The result is a list of tuples of the form:

      > (namespace, word)

      If no namespace was explicitly specified, namespace will be returned as `'ivoa'` (i.e., the default namespace).

  Raises:
    `ValueError`

      if ucd is invalid